Change the password of a person

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://api-docs.kitsu.cloud/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Kitsu API MCP server": {
    "url": "https://api-docs.kitsu.cloud/mcp"
  }
}

Close
POST /actions/persons/{person_id}/change-password

Set a new password for a person. Give the new password two times. You cannot change the password of a protected account. You cannot change the password of another administrator who already has a password. You can set the first password of a new administrator. The person gets an email about the change. You must be an administrator.

Path parameters

  • person_id string(uuid) Required

    Person unique identifier

application/json

Body Required

  • password string(password) Required

    New password

  • password_2 string(password) Required

    Password confirmation

Responses

  • 200 application/json

    The password is changed

    Hide response attribute Show response attribute object
    • success boolean

      Success flag

  • 400 application/json

    The two passwords are different, the password is too short, the person is a protected account, or the person is another administrator who already has a password

    Hide response attributes Show response attributes object
    • error boolean

      Error flag

    • message string

      Error message

  • 403

    You are not an administrator, or the person is a bot

  • 404

    The person does not exist

POST /actions/persons/{person_id}/change-password
curl -X POST "http://api.example.com/actions/persons/a24a6ea4-ce75-4665-a070-57453082c25/change-password" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -H "Accept: application/json" \
  -H "Content-Type: application/json" \
  -d '{
  "password": "newSecurePassword123",
  "password_2": "newSecurePassword123"
}'
import requests

url = "http://api.example.com/actions/persons/a24a6ea4-ce75-4665-a070-57453082c25/change-password"
headers = {
    "Authorization": "Bearer YOUR_API_TOKEN",
    "Accept": "application/json",
    "Content-Type": "application/json"
}
params = {}
payload = {
    "password": "newSecurePassword123",
    "password_2": "newSecurePassword123"
}

response = requests.post(
    url,
    headers=headers,
    params=params,
    json=payload
)

response.raise_for_status()

if response.content:
    print(response.json())
Request examples
{
  "password": "newSecurePassword123",
  "password_2": "newSecurePassword123"
}
Response examples (200)
{
  "success": true
}
Response examples (400)
{
  "error": true,
  "message": "Password is too short."
}